ServerEvents.recipes(event => {
    event.remove({ output: 'bigreactors:basic_reactorcontroller' })
    event.shaped(Item.of('bigreactors:basic_reactorcontroller'), [
        'CPC',
        'UDU',
        'CRC'
    ], {
        C: Ingredient.of('bigreactors:basic_reactorcasing'),
        R: Ingredient.of('redstone'),
        U: Ingredient.of('#forge:ingots/uranium'),
        D: Ingredient.of('diamond'),
        P: Ingredient.of('pneumaticcraft:printed_circuit_board')
    })

    
    event.remove({ output: 'bigreactors:reinforced_reactorcontroller' })
    event.shaped(Item.of('bigreactors:reinforced_reactorcontroller'), [
        'CPC',
        'UDU',
        'CRC'
    ], {
        C: Ingredient.of('bigreactors:reinforced_reactorcasing'),
        R: Ingredient.of('redstone'),
        U: Ingredient.of('#forge:ingots/uranium'),
        D: Ingredient.of('diamond_block'),
        P: Ingredient.of('pneumaticcraft:printed_circuit_board')
    })

    
    event.remove({ output: 'bigreactors:basic_turbinecontroller' })
    event.shaped(Item.of('bigreactors:basic_turbinecontroller'), [
        'CPC',
        'UDU',
        'CRC'
    ], {
        C: Ingredient.of('bigreactors:basic_turbinecasing'),
        R: Ingredient.of('redstone'),
        U: Ingredient.of('bigreactors:cyanite_block'),
        D: Ingredient.of('diamond'),
        P: Ingredient.of('pneumaticcraft:printed_circuit_board')
    })

    event.remove({ output: 'bigreactors:reinforced_turbinecontroller' })
    event.shaped(Item.of('bigreactors:reinforced_turbinecontroller'), [
        'CpC',
        'UDU',
        'CRC'
    ], {
        C: Ingredient.of('bigreactors:reinforced_turbinecasing'),
        R: Ingredient.of('redstone'),
        U: Ingredient.of('bigreactors:cyanite_block'),
        D: Ingredient.of('diamond_block'),
        P: Ingredient.of('pneumaticcraft:printed_circuit_board')
    })

    event.replaceInput({ output: 'bigreactors:reprocessorcontroller' }, 'comparator', 'pneumaticcraft:printed_circuit_board')
    event.replaceInput({ output: 'bigreactors:fluidizercontroller' }, 'comparator', 'pneumaticcraft:printed_circuit_board')
    event.replaceInput({ output: 'bigreactors:energizercontroller' }, 'comparator', 'pneumaticcraft:printed_circuit_board')
})